#include <iostream>
#include <set>

using namespace std;

int main(){
  int n,m;
  
  freopen("E.in","r",stdin);
  freopen("E.out","w",stdout);
  cin>>n>>m;
  int a[n],b[m];
  int mini = min(n,m);
  for(int i = 0; i < n ;i++){
     cin>>a[i];
  }
  for(int i = 0 ; i < m; i++){
    cin>>b[i];
  }
  sort(a,a+n);
  sort(b,b+m);

  long long res = 0;
  for(int i = 0 ; i < mini ;i++){
     res += a[i]*b[mini-i-1];
  }
  cout<<mini<<" "<<res;
  return 0;
}
